/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.catalogue.sbi.nfvo.osm.rest.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * VNF Package Information Only generic fields (id, name, description) are described For a full specification of the VNF Descriptor see: http://osm-download.etsi.org/ftp/osm-doc/vnfd.html 
 */
@Schema(description = "VNF Package Information Only generic fields (id, name, description) are described For a full specification of the VNF Descriptor see: http://osm-download.etsi.org/ftp/osm-doc/vnfd.html ")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2019-12-04T13:03:17.599+01:00[Europe/Rome]")
public class VnfPkgInfoModifications {
  @SerializedName("id")
  private String id = null;

  @SerializedName("name")
  private String name = null;

  @SerializedName("description")
  private String description = null;

  public VnfPkgInfoModifications id(String id) {
    this.id = id;
    return this;
  }

   /**
   * VNF Package Identifier
   * @return id
  **/
  @Schema(description = "VNF Package Identifier")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public VnfPkgInfoModifications name(String name) {
    this.name = name;
    return this;
  }

   /**
   * VNF Package Name
   * @return name
  **/
  @Schema(description = "VNF Package Name")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public VnfPkgInfoModifications description(String description) {
    this.description = description;
    return this;
  }

   /**
   * VNF Package description
   * @return description
  **/
  @Schema(description = "VNF Package description")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VnfPkgInfoModifications vnfPkgInfoModifications = (VnfPkgInfoModifications) o;
    return Objects.equals(this.id, vnfPkgInfoModifications.id) &&
        Objects.equals(this.name, vnfPkgInfoModifications.name) &&
        Objects.equals(this.description, vnfPkgInfoModifications.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, description);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VnfPkgInfoModifications {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
